Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 771069 - app-misc/sphinx-2.2.11-r2 - sphinx.cpp: error: class re2::RE2::Options has no member named set_utf8
Summary: app-misc/sphinx-2.2.11-r2 - sphinx.cpp: error: class re2::RE2::Options has no...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Hans de Graaff
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 783645
  Show dependency tree
 
Reported: 2021-02-17 08:44 UTC by Toralf Förster
Modified: 2021-09-10 09:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.75 KB, text/plain)
2021-02-17 08:44 UTC, Toralf Förster
Details
app-misc:sphinx-2.2.11-r2:20210217-072121.log (app-misc:sphinx-2.2.11-r2:20210217-072121.log,18.56 KB, text/plain)
2021-02-17 08:44 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,510.50 KB, text/plain)
2021-02-17 08:44 UTC, Toralf Förster
Details
environment (environment,95.74 KB, text/plain)
2021-02-17 08:44 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,27.98 KB, application/x-bzip)
2021-02-17 08:44 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,15.73 KB, application/x-bzip)
2021-02-17 08:44 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,28.85 KB, application/x-bzip)
2021-02-17 08:44 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-02-17 08:44:47 UTC
      |       ^
sphinx.cpp: In member function ‘bool CSphFieldRegExps::AddRegExp(const char*, CSphString&)’:
sphinx.cpp:25839:11: error: ‘class re2::RE2::Options’ has no member named ‘set_utf8’
25839 |  tOptions.set_utf8 ( true );
      |           ^~~~~~~~
make[2]: *** [Makefile:396: sphinx.o] Error 1

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20210203-035357

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.3.1
 [3] x86_64-pc-linux-gnu-10.2.0 *
clang version 11.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/11/bin
/usr/lib/llvm/11
11.0.1
Python 3.8.7
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems)
  [3]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.49.0
  [2]   rust-1.50.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.282_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.8.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Wed Feb 17 07:07:44 UTC 2021

emerge -qpvO app-misc/sphinx
[ebuild  N    ] app-misc/sphinx-2.2.11-r2  USE="id64 re2 -debug -mariadb -mysql -odbc -postgres -stemmer -syslog -xml"
Comment 1 Toralf Förster gentoo-dev 2021-02-17 08:44:49 UTC
Created attachment 687168 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-02-17 08:44:50 UTC
Created attachment 687171 [details]
app-misc:sphinx-2.2.11-r2:20210217-072121.log
Comment 3 Toralf Förster gentoo-dev 2021-02-17 08:44:52 UTC
Created attachment 687174 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-02-17 08:44:53 UTC
Created attachment 687177 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-02-17 08:44:54 UTC
Created attachment 687180 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-02-17 08:44:56 UTC
Created attachment 687183 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-02-17 08:44:57 UTC
Created attachment 687186 [details]
temp.tar.bz2
Comment 8 Hans de Graaff gentoo-dev 2021-08-15 05:32:19 UTC
(In reply to Toralf Förster from comment #0)

> sphinx.cpp:25839:11: error: ‘class re2::RE2::Options’ has no member named
> ‘set_utf8’
> 25839 |  tOptions.set_utf8 ( true );
>       |           ^~~~~~~~
> make[2]: *** [Makefile:396: sphinx.o] Error 1

This method is deprecated and has been removed from re2 in the meantime. We no longer have compatible versions in re2 and this will not get fixed upstream, so I'll opt to remove the re2 support in sphinx instead.
Comment 9 Larry the Git Cow gentoo-dev 2021-08-15 07:41:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d4b7d5519ded98678c67fec32cfe250c0c96c47

commit 2d4b7d5519ded98678c67fec32cfe250c0c96c47
Author:     Hans de Graaff <graaff@gentoo.org>
AuthorDate: 2021-08-15 05:38:07 +0000
Commit:     Hans de Graaff <graaff@gentoo.org>
CommitDate: 2021-08-15 07:41:13 +0000

    app-misc/sphinx: modernize and fix issues
    
    Drop re2 support since sphinx requires an obsolete version of re2.
    Closes: https://bugs.gentoo.org/771069
    
    Use EAPI 8 and support automake 1.16, thanks for Andrey Volkov.
    Bug: https://bugs.gentoo.org/649120
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Hans de Graaff <graaff@gentoo.org>

 .../sphinx/files/sphinx-2.2.11-automake-1.16.patch |  10 ++
 app-misc/sphinx/sphinx-2.2.11-r3.ebuild            | 111 +++++++++++++++++++++
 2 files changed, 121 insertions(+)
Comment 10 Andreas Sturmlechner gentoo-dev 2021-09-04 16:41:06 UTC
r5 has

> @@ -56,7 +54,7 @@
>  
>         # Drop bundled code to ensure building against system versions. We
>         # cannot remove libstemmer_c since configure updates its Makefile.
> -       rm -rf libexpat libre2 || die
> +       rm -rf libexpat || die
>  }
>  
>  src_configure() {

Are we sure it isn't bundling libre2 instead of disabling it?
Comment 11 Hans de Graaff gentoo-dev 2021-09-10 09:38:33 UTC
(In reply to Andreas Sturmlechner from comment #10)

> Are we sure it isn't bundling libre2 instead of disabling it?

Yes. That libre2 directory only contains a patch and makefiles.

Also: "checking whether to compile with RE2 library support... no"